package domain

type AlibabaWdkMarketingExpirePromotionQueryMarketResult struct {
	/*
	   message     */
	Message *string `json:"message,omitempty" `

	/*
	   data     */
	Data *AlibabaWdkMarketingExpirePromotionQueryExpirePromotionBo `json:"data,omitempty" `

	/*
	   errorCode     */
	ErrorCode *string `json:"error_code,omitempty" `

	/*
	   success     */
	IsSuccess *bool `json:"is_success,omitempty" `
}

func (s *AlibabaWdkMarketingExpirePromotionQueryMarketResult) SetMessage(v string) *AlibabaWdkMarketingExpirePromotionQueryMarketResult {
	s.Message = &v
	return s
}
func (s *AlibabaWdkMarketingExpirePromotionQueryMarketResult) SetData(v AlibabaWdkMarketingExpirePromotionQueryExpirePromotionBo) *AlibabaWdkMarketingExpirePromotionQueryMarketResult {
	s.Data = &v
	return s
}
func (s *AlibabaWdkMarketingExpirePromotionQueryMarketResult) SetErrorCode(v string) *AlibabaWdkMarketingExpirePromotionQueryMarketResult {
	s.ErrorCode = &v
	return s
}
func (s *AlibabaWdkMarketingExpirePromotionQueryMarketResult) SetIsSuccess(v bool) *AlibabaWdkMarketingExpirePromotionQueryMarketResult {
	s.IsSuccess = &v
	return s
}
